function AmController() {	
	this.datosAmortizacion = new DatosAmortizacion("dAmortizacionGrid");
	this.grid = new TituloGrid("tituloGird");
	this.service =  new  TituloService();
	
	this.reloadGrid();
};

AmController.prototype.reloadGrid =  function ()
{
	this.grid.reload();
};

AmController.prototype.cargaDetalle = function (val) 
{
	this.grid.reloadDetails(val);
};

AmController.prototype.openDialogAmortizacion = function (value) 
{
	var gridAmort = new AmortizacionGrid("amortizacionGrid"); 
	gridAmort.obtenerPintarDatos(value);
};

AmController.prototype.validaPres = function () 
{
	this.grid.validaPresupuesto();
};


var amController
$().ready(function() {
	
	//*****Se necesita para quitar bug boostraop jquery dialog****
	var bootstrapButton = $.fn.button.noConflict();
	$.fn.bootstrapBtn = bootstrapButton;
	//***************************************************
	
	 amController = new AmController();
});